image: "python:3.6-stretch"

before_script:
  - apt-get update -qy
  - apt-get install -y python3-dev python3-pip
  - pip install --upgrade pip
  - pip install -r requirements.txt
  - pip install -e .

test:
  script:
  - pip install coverage
  - coverage run -m unittest discover -s test
  - coverage report -m
  coverage: '/^TOTAL.*\s+(\d+\%)/'

pep8:
  script:
  - pip install pep8
  - pep8 --filename=*.py --count --statistics --exclude=./docs

pylint:
  script:
  - pip install pylint
  - python devtools/run_linting.py pyretis
  allow_failure: true

pycodestyle:
  script:
  - pip install pycodestyle
  - pycodestyle --filename=*.py --count --statistics --exclude=./docs
  allow_failure: true

pydocstyle:
  script:
  - pip install pydocstyle
  - pydocstyle --count pyretis
  allow_failure: true

test_retis:
  script:
  - cd examples/test/test-internal/retis
  - make clean
  - pyretisrun -i retis.rst -p
  - python compare.py

test_gromacs:
  script:
  - apt-cache policy gromacs
  - apt-get install -y gromacs
  - gmx --version
  - gmx_d --version
  - cd examples/test/test-gromacs/test-gromacs
  - ./run-test1.sh gmx_d
  - ./run-test2.sh gmx_d

test_cp2k:
  script:
  - apt-cache policy cp2k
  - apt-get install -y cp2k
  - cp2k -v
  - cd examples/test/test-cp2k/test-cp2k/
  - python test_cp2k.py

build_docs:
  script:
  - pip install sphinx
  - pip install sphinx_bootstrap_theme
  - cd docs
  - make html
